package cl.jtv;

/*
 * ComandoSPRInv.java
 *
 * Created on 28 de febrero de 2003, 02:01 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoSPRInv2 extends Comando {

    /** Creates new ComandoSPRInv */
    private Maquina previa;
    
    public ComandoSPRInv2(Object newArtefacto, Vector2 newVector2) {
        super(newArtefacto,newVector2);
        previa = ((Maquina)artefacto).previa;
    }

    public void doIt() {
        
        Maquina maquina = (Maquina)artefacto;
        maquina.previa = previa;
    }
    
}
